#ifndef GLCDWIDGET_H
#define GLCDWIDGET_H

#include <QWidget>

class glcdwidget: public QWidget
{
    Q_OBJECT

#define mLCD_HEIGHT     64
#define mLCD_WIDTH    	128

private:
    bool map[mLCD_HEIGHT][mLCD_WIDTH];
    unsigned char chipsel;
    unsigned char row;
    unsigned char col;

public:
    glcdwidget(QWidget *parent = 0);
    void glcd_cmd(unsigned char cmd);
    void glcd_out(unsigned char dat);
    void glcd_cs(unsigned char cs);

protected:
    void paintEvent(QPaintEvent *event);
};

#endif
