#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "glcd.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

#define mLCD_SET_ADDR    	0x40
#define mLCD_SET_PAGE    	0xB8
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    void LCD_bitmap(unsigned char *buff);
    
private slots:
    void on_pushButton_clicked();
    void on_pushButton_2_clicked();
    void spinBox_valueChanged();

    void on_pushButton_3_clicked();

    void on_pushButton_4_clicked();

private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
